#ifdef HAVE_CONFIG_H
# include "config.h"
#endif
#ifndef __hpux__			/* REVIST: update configure.in */
# define HAVE_UTIMES
#endif

#ifndef HAVE_UTIMES
# ifndef lint
static char RCSid[] = "$Id: utimes.c,v 1.1 1996/09/08 08:04:26 sjg Exp $";
# endif
#include <sys/types.h>
#include <sys/time.h>
#include <utime.h>

int
utimes(file, tvp)
	char *file;
	struct timeval *tvp;
{
	struct utimbuf utb, *utp;

	if (tvp) {
		utp = &utb;
		utp->actime = tvp[0].tv_sec;
		utp->modtime = tvp[1].tv_sec;
	} else
		utp = 0;
	return utime(file, utp);
}
#endif
